summarylogtreecommitdiffstats
path: root/gr-air-modes-git.install
diff options
context:
space:
mode:
Diffstat (limited to 'gr-air-modes-git.install')
-rw-r--r--gr-air-modes-git.install18
1 files changed, 18 insertions, 0 deletions
diff --git a/gr-air-modes-git.install b/gr-air-modes-git.install
new file mode 100644
index 000000000000..d6c3aa9fb680
--- /dev/null
+++ b/gr-air-modes-git.install
@@ -0,0 +1,18 @@
+post_install() {
+ pacman -Q python2-pyqt4 > /dev/null 2>&1
+ _pyqt4=$?
+
+ pacman -Q python2-pyqwt > /dev/null 2>&1
+ _pyqwt=$?
+
+ if [ "$_pyqt4" != "0" ] || [ "$_pyqwt" != "0" ]; then
+ echo ""
+ echo "You've installed gr-air-modes-git without GUI support."
+ echo "If you want to install the GUI you will need to install"
+ echo "python2-pyqt4 and python2-pyqwt and reinstall this package."
+ echo ""
+ echo "To install those packages as dependencies you can do the following:"
+ echo "pacman -S --asdep python2-pyqt4 python2-pyqwt"
+ echo ""
+ fi
+}